Name:       bbe
Version:    0.2.2
Release:    1%{?dist}
Summary:    A tool for making byte-level changes to binary files
License:    GPLv2+
URL:        https://sourceforge.net/projects/bbe-/
Source0:    bbe.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool

%description
BBE is a program for making byte-level changes to binary files.

%prep
# Use source filename directly
tar xf %{SOURCE0}
# Find the directory.
tree
SOURCE_DIR=
cd ""

# Rename the directory to be consistent
mv "" "bbe-0.2.2"
cd "bbe-0.2.2"

%build
# Need to run autoreconf if configure.ac exists
if [ -f configure.ac ]; then
  autoreconf -fiv
fi
./configure --prefix=/usr
make

%install
make install DESTDIR=%{buildroot}
# Remove libtool archives
find %{buildroot} -name "*.la" -delete

%check
make check

%files
/usr/bin/bbe
/usr/share/man/man1/bbe.1*
/usr/share/info/bbe.info*
%doc /usr/share/doc/bbe/

%changelog
* Wed Oct 25 2023 Your Name <your.email@example.com> - 0.2.2-1%{?dist}
- Initial RPM release.
- Handle compressed man and info pages.
- Include documentation files.
